
Redmine - Defect #6246

Projects Disorder

2010-08-29 23:02 - Sven Culley

Status: Closed Start date: 2010-08-29

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I started upgrading from 0.8.7.stable to 0.8.7.stable

First of all I got this error and did these steps: http://www.redmine.org/boards/2/topics/14645#message-16678 with project rebuild

After that the migration went just fine and I could use redmine.

The only 2 things:

- The "My Account" says:

NoMethodError in My#account

Showing app/views/my/account.rhtml where line #23 raised:

undefined method `editable?' for #<ActiveRecord::Associations::BelongsToAssociation:0x881fe68>

Extracted source (around line #23):

20: <p><%= f.text_field :identity_url  %></p>

21: <% end %>

22: 

23: <% @user.custom_field_values.select(&:editable?).each do |value| %>

24:     <p><%= custom_field_tag_with_label :user, value %></p>

25: <% end %>

26: <%= call_hook(:view_my_account, :user => @user, :form => f) %>

 and the projects page is not sorted alphabetically:

kxxx

- k1xxx

- k2xxx

sxxx

axxx

- a1xxx

- a2xxx

cxxxx

 How can I get these back sorted?

History

#1 - 2010-08-29 23:03 - Sven Culley

I ment from "I started upgrading from 0.8.7.stable to 1.0.1.stable.4049" of course

#2 - 2010-08-29 23:53 - Sven Culley

- Status changed from New to Resolved

- % Done changed from 0 to 100

Everything is fine, the Customer Plugin was responsable for that.

#3 - 2010-08-30 08:41 - Felix Schäfer

- Status changed from Resolved to Closed

2024-04-25 1/2

http://www.redmine.org/boards/2/topics/14645#message-16678


- Resolution set to Invalid

#4 - 2011-10-25 12:45 - Arnold Ellison
